const R = [
  "arrowhead",
  "crosshead",
  "filled-head",
  "sequencenumber",
  "compositionStart",
  "compositionEnd",
  "aggregationStart",
  "aggregationEnd",
  "dependencyStart",
  "dependencyEnd",
  "extensionStart",
  "extensionEnd",
  "lollipopStart",
  "lollipopEnd",
  "ZERO_OR_ONE_START",
  "ZERO_OR_ONE_END",
  "ONLY_ONE_START",
  "ONLY_ONE_END",
  "ZERO_OR_MORE_START",
  "ZERO_OR_MORE_END",
  "ONE_OR_MORE_START",
  "ONE_OR_MORE_END",
  "MD_PARENT_START",
  "MD_PARENT_END"
], t = (_, r) => {
  let e = _;
  for (const E of R) {
    const n = `${r}-${E}`;
    e = e.replace(
      new RegExp(`id="${E}"`, "g"),
      `id="${n}"`
    ), e = e.replace(
      new RegExp(`url\\(#${E}\\)`, "g"),
      `url(#${n})`
    );
  }
  return e;
};
export {
  t as makeMarkerIdsUnique
};
